<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" 
    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<html xmlns="http://www.w3.org/1999/xhtml"
	xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
	xmlns:h="http://xmlns.jcp.org/jsf/html"
	xmlns:f="http://xmlns.jcp.org/jsf/core">

<ui:composition template="template.xhtml">
	<ui:define name="content">
	    <h2>Editace produktu</h2>
		<h:form>
			<h:messages layout="table" styleClass="errorMsg"></h:messages>
			<h:panelGrid columns="2" styleClass="form">
				<h:outputLabel rendered="true" value="ID"></h:outputLabel>
				<h:outputText value="#{produktBean.produkt.idProdukt}">
				</h:outputText>
				
				<h:outputLabel rendered="true" value="Název"></h:outputLabel>
				<h:inputText value="#{produktBean.produkt.nazevProduktu}" required="true"
					requiredMessage="Název je povinný"
					validatorMessage="Název je příliš krátký">
					<f:validateLength minimum="2" maximum="80" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Cena"></h:outputLabel>
				<h:inputText value="#{produktBean.produkt.cena}" required="true"
					requiredMessage="Cena je povinná"
					validatorMessage="Cena nesmí být záporná">
					<f:validateDoubleRange minimum="0.0" />
					<f:convertNumber maxFractionDigits="2" />
				</h:inputText>
				
				<h:outputLabel rendered="true" value="Počet kusů skladem"></h:outputLabel>
				<h:inputText value="#{produktBean.produkt.skladem}" required="true"
					requiredMessage="Počet kusů je povinný"
					validatorMessage="Počet kusů nesmí být záporný">
					<f:validateLongRange minimum="1" />
					<f:convertNumber maxFractionDigits="0" />
				</h:inputText>
				<h:outputLabel rendered="true" value=""></h:outputLabel>
			</h:panelGrid>
			
			<h3>Přísady</h3>
			<h:dataTable value="#{produktBean.produkt.prisady}"
			             var="vyrobenZ" styleClass="table"
						columnClasses="text-left,text-right,text-left,text-center">
				<h:column>
					<f:facet name="header">
						Název
					</f:facet>
					<h:outputText value="#{vyrobenZ.prisada.nazevPrisady}"></h:outputText>
				</h:column>
				<h:column>
					<f:facet name="header">
						Množství
					</f:facet>
					<h:outputText value="#{vyrobenZ.mnozstvi} #{vyrobenZ.jednotka}"></h:outputText>
				</h:column>
				
				<h:column>
					<h:commandLink action="#{produktBean.actionPrisadaDel(vyrobenZ)}">
						<i class="fa fa-times fa-15x" aria-hidden="true" title="Smazat přísadu"></i>
					</h:commandLink>
				</h:column>
			</h:dataTable>
			
			

			<h:commandLink action="#{produktBean.actionPrisadaNew}" styleClass="button append">Přidat přísadu</h:commandLink>
			
			<div class="blok">
				<h:commandButton action="#{produktBean.actionUpdate}" styleClass="button" value="Uložit"></h:commandButton>
				<h:commandButton action="cancel" styleClass="button" value="Zrušit"></h:commandButton>
			</div>
			
		</h:form>
	</ui:define>
</ui:composition>
</html>
